Index: cprs/branches/foia-cprs/CPRS-Chart/VERGENCECONTEXTORLib_TLB.pas
===================================================================
--- cprs/branches/foia-cprs/CPRS-Chart/VERGENCECONTEXTORLib_TLB.pas	(revision 459)
+++ cprs/branches/foia-cprs/CPRS-Chart/VERGENCECONTEXTORLib_TLB.pas	(revision 460)
@@ -12,11 +12,20 @@
 // ************************************************************************ //
 
-// PASTLWTR : $Revision:   1.130.1.0.1.0.1.6  $
-// File generated on 2/20/2003 12:37:40 PM from Type Library described below.
-
-// ************************************************************************  //
-// Type Lib: C:\Program Files\Sentillion\Sdk\WindowsComponents\VergenceContextor.dll (1)
-// LIBID: {30AFBABD-5FD3-11D3-8727-0060B0B5E137}
-// LCID: 0
+// PASTLWTR : $Revision:   1.88.1.0.1.0  $
+// File generated on 2/9/2004 9:12:53 AM from Type Library described below.
+
+// *************************************************************************//
+// NOTE:                                                                      
+// Items guarded by $IFDEF_LIVE_SERVER_AT_DESIGN_TIME are used by properties  
+// which return objects that may need to be explicitly created via a function 
+// call prior to any access via the property. These items have been disabled  
+// in order to prevent accidental use from within the object inspector. You   
+// may enable them by defining LIVE_SERVER_AT_DESIGN_TIME or by selectively   
+// removing them from the $IFDEF blocks. However, such items must still be    
+// programmatically created via a method of the appropriate CoClass before    
+// they can be used.                                                          
+// ************************************************************************ //
+// Type Lib: D:\Development\BDK32_p40\Source\VergenceContextor.dll (1)
+// IID\LCID: {30AFBABD-5FD3-11D3-8727-0060B0B5E137}\0
 // Helpfile: 
 // DepndLst: 
@@ -25,14 +34,14 @@
 // Errors:
 //   Hint: Member 'Set' of 'IResponseDialogAccessor' changed to 'Set_'
+//   Error creating palette bitmap of (TContextor) : Invalid GUID format
+//   Error creating palette bitmap of (TContextItemCollection) : Invalid GUID format
+//   Error creating palette bitmap of (TContextItem) : Invalid GUID format
+//   Error creating palette bitmap of (TResponseDialog) : Invalid GUID format
+//   Error creating palette bitmap of (TContextorParticipant) : Invalid GUID format
 // ************************************************************************ //
 {$TYPEDADDRESS OFF} // Unit must be compiled without type-checked pointers. 
-{$WARN SYMBOL_PLATFORM OFF}
-{$WRITEABLECONST ON}
-{$VARPROPSETTER ON}
 interface
 
-uses Windows, ActiveX, Classes, Graphics, OleCtrls, OleServer, StdVCL, Variants;
-  
-
+uses Windows, ActiveX, Classes, Graphics, OleServer, OleCtrls, StdVCL;
 
 // *********************************************************************//
@@ -162,13 +171,14 @@
     procedure Suspend; safecall;
     procedure Resume; safecall;
-    function Get_State: ContextorState; safecall;
-    function GetPrivilege(const subj: WideString): AccessPrivilege; safecall;
-    function Get_CurrentContext: IContextItemCollection; safecall;
+    function  Get_State: ContextorState; safecall;
+    function  GetPrivilege(const subj: WideString): AccessPrivilege; safecall;
+    function  Get_CurrentContext: IContextItemCollection; safecall;
     procedure StartContextChange; safecall;
-    function EndContextChange(commit: WordBool; const aContextItemCollection: IContextItemCollection): UserResponse; safecall;
+    function  EndContextChange(commit: WordBool; 
+                               const aContextItemCollection: IContextItemCollection): UserResponse; safecall;
     procedure SetSurveyResponse(const reason: WideString); safecall;
-    function Get_NotificationFilter: WideString; safecall;
+    function  Get_NotificationFilter: WideString; safecall;
     procedure Set_NotificationFilter(const filter: WideString); safecall;
-    function Get_Name: WideString; safecall;
+    function  Get_Name: WideString; safecall;
     property State: ContextorState read Get_State;
     property CurrentContext: IContextItemCollection read Get_CurrentContext;
@@ -189,8 +199,9 @@
     procedure Resume; dispid 3;
     property State: ContextorState readonly dispid 4;
-    function GetPrivilege(const subj: WideString): AccessPrivilege; dispid 5;
+    function  GetPrivilege(const subj: WideString): AccessPrivilege; dispid 5;
     property CurrentContext: IContextItemCollection readonly dispid 6;
     procedure StartContextChange; dispid 7;
-    function EndContextChange(commit: WordBool; const aContextItemCollection: IContextItemCollection): UserResponse; dispid 8;
+    function  EndContextChange(commit: WordBool; 
+                               const aContextItemCollection: IContextItemCollection): UserResponse; dispid 8;
     procedure SetSurveyResponse(const reason: WideString); dispid 9;
     property NotificationFilter: WideString dispid 10;
@@ -205,5 +216,5 @@
   IContextParticipant = interface(IDispatch)
     ['{3E3DD272-998E-11D0-808D-00A0240943E4}']
-    function ContextChangesPending(contextCoupon: Integer; var reason: WideString): WideString; safecall;
+    function  ContextChangesPending(contextCoupon: Integer; var reason: WideString): WideString; safecall;
     procedure ContextChangesAccepted(contextCoupon: Integer); safecall;
     procedure ContextChangesCanceled(contextCoupon: Integer); safecall;
@@ -219,5 +230,5 @@
   IContextParticipantDisp = dispinterface
     ['{3E3DD272-998E-11D0-808D-00A0240943E4}']
-    function ContextChangesPending(contextCoupon: Integer; var reason: WideString): WideString; dispid 1610743808;
+    function  ContextChangesPending(contextCoupon: Integer; var reason: WideString): WideString; dispid 1610743808;
     procedure ContextChangesAccepted(contextCoupon: Integer); dispid 1610743809;
     procedure ContextChangesCanceled(contextCoupon: Integer); dispid 1610743810;
@@ -233,11 +244,11 @@
   IContextItemCollection = interface(IDispatch)
     ['{AC4C0271-615A-11D3-84B5-0000861FDD4F}']
-    function Count: Integer; safecall;
+    function  Count: Integer; safecall;
     procedure Add(const aContextItem: IContextItem); safecall;
     procedure Remove(const contextItemName: WideString); safecall;
     procedure RemoveAll; safecall;
-    function Present(key: OleVariant): IContextItem; safecall;
-    function Get__NewEnum: IUnknown; safecall;
-    function Item(key: OleVariant): IContextItem; safecall;
+    function  Present(key: OleVariant): IContextItem; safecall;
+    function  Get__NewEnum: IUnknown; safecall;
+    function  Item(key: OleVariant): IContextItem; safecall;
     property _NewEnum: IUnknown read Get__NewEnum;
   end;
@@ -250,11 +261,11 @@
   IContextItemCollectionDisp = dispinterface
     ['{AC4C0271-615A-11D3-84B5-0000861FDD4F}']
-    function Count: Integer; dispid 1;
+    function  Count: Integer; dispid 1;
     procedure Add(const aContextItem: IContextItem); dispid 2;
     procedure Remove(const contextItemName: WideString); dispid 3;
     procedure RemoveAll; dispid 4;
-    function Present(key: OleVariant): IContextItem; dispid 5;
+    function  Present(key: OleVariant): IContextItem; dispid 5;
     property _NewEnum: IUnknown readonly dispid -4;
-    function Item(key: OleVariant): IContextItem; dispid 0;
+    function  Item(key: OleVariant): IContextItem; dispid 0;
   end;
 
@@ -266,17 +277,17 @@
   IContextItem = interface(IDispatch)
     ['{AC4C0273-615A-11D3-84B5-0000861FDD4F}']
-    function Get_Subject: WideString; safecall;
+    function  Get_Subject: WideString; safecall;
     procedure Set_Subject(const pVal: WideString); safecall;
-    function Get_Role: WideString; safecall;
+    function  Get_Role: WideString; safecall;
     procedure Set_Role(const pVal: WideString); safecall;
-    function Get_Prefix: WideString; safecall;
+    function  Get_Prefix: WideString; safecall;
     procedure Set_Prefix(const pVal: WideString); safecall;
-    function Get_Suffix: WideString; safecall;
+    function  Get_Suffix: WideString; safecall;
     procedure Set_Suffix(const pVal: WideString); safecall;
-    function Get_Name: WideString; safecall;
+    function  Get_Name: WideString; safecall;
     procedure Set_Name(const pVal: WideString); safecall;
-    function Get_Value: WideString; safecall;
+    function  Get_Value: WideString; safecall;
     procedure Set_Value(const pVal: WideString); safecall;
-    function Clone: IContextItem; safecall;
+    function  Clone: IContextItem; safecall;
     property Subject: WideString read Get_Subject write Set_Subject;
     property Role: WideString read Get_Role write Set_Role;
@@ -300,5 +311,5 @@
     property Name: WideString dispid 5;
     property Value: WideString dispid 6;
-    function Clone: IContextItem; dispid 7;
+    function  Clone: IContextItem; dispid 7;
   end;
 
@@ -311,7 +322,7 @@
     ['{CBC6D968-9F6D-416A-8AA7-99172E588DF0}']
     procedure StartResponseContextChange; safecall;
-    function EndResponseContextChange(commit: WordBool; 
-                                      const aContextItemCollection: IContextItemCollection; 
-                                      var noContinue: WordBool): OleVariant; safecall;
+    function  EndResponseContextChange(commit: WordBool; 
+                                       const aContextItemCollection: IContextItemCollection; 
+                                       var noContinue: WordBool): OleVariant; safecall;
     procedure CommitContextChange; safecall;
     procedure CancelContextChange; safecall;
@@ -326,7 +337,7 @@
     ['{CBC6D968-9F6D-416A-8AA7-99172E588DF0}']
     procedure StartResponseContextChange; dispid 1;
-    function EndResponseContextChange(commit: WordBool; 
-                                      const aContextItemCollection: IContextItemCollection; 
-                                      var noContinue: WordBool): OleVariant; dispid 2;
+    function  EndResponseContextChange(commit: WordBool; 
+                                       const aContextItemCollection: IContextItemCollection; 
+                                       var noContinue: WordBool): OleVariant; dispid 2;
     procedure CommitContextChange; dispid 3;
     procedure CancelContextChange; dispid 4;
@@ -386,5 +397,5 @@
   IResponseDialog = interface(IDispatch)
     ['{9D33ECF1-8277-11D3-8525-0000861FDD4F}']
-    function ProcessSurveyResults(responses: OleVariant; noContinue: WordBool): UserResponse; safecall;
+    function  ProcessSurveyResults(responses: OleVariant; noContinue: WordBool): UserResponse; safecall;
   end;
 
@@ -396,5 +407,5 @@
   IResponseDialogDisp = dispinterface
     ['{9D33ECF1-8277-11D3-8525-0000861FDD4F}']
-    function ProcessSurveyResults(responses: OleVariant; noContinue: WordBool): UserResponse; dispid 1;
+    function  ProcessSurveyResults(responses: OleVariant; noContinue: WordBool): UserResponse; dispid 1;
   end;
 
@@ -430,4 +441,93 @@
     class function CreateRemote(const MachineName: string): IContextor;
   end;
+
+  TContextorPending = procedure(Sender: TObject; var aContextItemCollection: OleVariant) of object;
+
+
+// *********************************************************************//
+// OLE Server Proxy class declaration
+// Server Object    : TContextor
+// Help String      : Vergence Contextor
+// Default Interface: IContextor
+// Def. Intf. DISP? : No
+// Event   Interface: _IContextChangesSink
+// TypeFlags        : (2) CanCreate
+// *********************************************************************//
+{$IFDEF LIVE_SERVER_AT_DESIGN_TIME}
+  TContextorProperties= class;
+{$ENDIF}
+  TContextor = class(TOleServer)
+  private
+    FOnPending: TContextorPending;
+    FOnCommitted: TNotifyEvent;
+    FOnCanceled: TNotifyEvent;
+    FIntf:        IContextor;
+{$IFDEF LIVE_SERVER_AT_DESIGN_TIME}
+    FProps:       TContextorProperties;
+    function      GetServerProperties: TContextorProperties;
+{$ENDIF}
+    function      GetDefaultInterface: IContextor;
+  protected
+    procedure InitServerData; override;
+    procedure InvokeEvent(DispID: TDispID; var Params: TVariantArray); override;
+    function  Get_State: ContextorState;
+    function  Get_CurrentContext: IContextItemCollection;
+    function  Get_NotificationFilter: WideString;
+    procedure Set_NotificationFilter(const filter: WideString);
+    function  Get_Name: WideString;
+  public
+    constructor Create(AOwner: TComponent); override;
+    destructor  Destroy; override;
+    procedure Connect; override;
+    procedure ConnectTo(svrIntf: IContextor);
+    procedure Disconnect; override;
+    procedure Run(const applicationLabel: WideString; const passcode: WideString; survey: WordBool; 
+                  const initialNotificationFilter: WideString);
+    procedure Suspend;
+    procedure Resume;
+    function  GetPrivilege(const subj: WideString): AccessPrivilege;
+    procedure StartContextChange;
+    function  EndContextChange(commit: WordBool; 
+                               const aContextItemCollection: IContextItemCollection): UserResponse;
+    procedure SetSurveyResponse(const reason: WideString);
+    property  DefaultInterface: IContextor read GetDefaultInterface;
+    property State: ContextorState read Get_State;
+    property CurrentContext: IContextItemCollection read Get_CurrentContext;
+    property Name: WideString read Get_Name;
+    property NotificationFilter: WideString read Get_NotificationFilter write Set_NotificationFilter;
+  published
+{$IFDEF LIVE_SERVER_AT_DESIGN_TIME}
+    property Server: TContextorProperties read GetServerProperties;
+{$ENDIF}
+    property OnPending: TContextorPending read FOnPending write FOnPending;
+    property OnCommitted: TNotifyEvent read FOnCommitted write FOnCommitted;
+    property OnCanceled: TNotifyEvent read FOnCanceled write FOnCanceled;
+  end;
+
+{$IFDEF LIVE_SERVER_AT_DESIGN_TIME}
+// *********************************************************************//
+// OLE Server Properties Proxy Class
+// Server Object    : TContextor
+// (This object is used by the IDE's Property Inspector to allow editing
+//  of the properties of this server)
+// *********************************************************************//
+ TContextorProperties = class(TPersistent)
+  private
+    FServer:    TContextor;
+    function    GetDefaultInterface: IContextor;
+    constructor Create(AServer: TContextor);
+  protected
+    function  Get_State: ContextorState;
+    function  Get_CurrentContext: IContextItemCollection;
+    function  Get_NotificationFilter: WideString;
+    procedure Set_NotificationFilter(const filter: WideString);
+    function  Get_Name: WideString;
+  public
+    property DefaultInterface: IContextor read GetDefaultInterface;
+  published
+    property NotificationFilter: WideString read Get_NotificationFilter write Set_NotificationFilter;
+  end;
+{$ENDIF}
+
 
 
@@ -453,5 +553,5 @@
     procedure CreateControl;
     procedure InitControlData; override;
-    function Get_CurrentContext: IContextItemCollection;
+    function  Get_CurrentContext: IContextItemCollection;
   public
     procedure Run(const applicationLabel: WideString; const passcode: WideString; survey: WordBool; 
@@ -459,7 +559,8 @@
     procedure Suspend;
     procedure Resume;
-    function GetPrivilege(const subj: WideString): AccessPrivilege;
+    function  GetPrivilege(const subj: WideString): AccessPrivilege;
     procedure StartContextChange;
-    function EndContextChange(commit: WordBool; const aContextItemCollection: IContextItemCollection): UserResponse;
+    function  EndContextChange(commit: WordBool; 
+                               const aContextItemCollection: IContextItemCollection): UserResponse;
     procedure SetSurveyResponse(const reason: WideString);
     property  ControlInterface: IContextor read GetControlInterface;
@@ -487,4 +588,69 @@
   end;
 
+
+// *********************************************************************//
+// OLE Server Proxy class declaration
+// Server Object    : TContextItemCollection
+// Help String      : Vergence ContextItemCollection
+// Default Interface: IContextItemCollection
+// Def. Intf. DISP? : No
+// Event   Interface: 
+// TypeFlags        : (2) CanCreate
+// *********************************************************************//
+{$IFDEF LIVE_SERVER_AT_DESIGN_TIME}
+  TContextItemCollectionProperties= class;
+{$ENDIF}
+  TContextItemCollection = class(TOleServer)
+  private
+    FIntf:        IContextItemCollection;
+{$IFDEF LIVE_SERVER_AT_DESIGN_TIME}
+    FProps:       TContextItemCollectionProperties;
+    function      GetServerProperties: TContextItemCollectionProperties;
+{$ENDIF}
+    function      GetDefaultInterface: IContextItemCollection;
+  protected
+    procedure InitServerData; override;
+    function  Get__NewEnum: IUnknown;
+  public
+    constructor Create(AOwner: TComponent); override;
+    destructor  Destroy; override;
+    procedure Connect; override;
+    procedure ConnectTo(svrIntf: IContextItemCollection);
+    procedure Disconnect; override;
+    function  Count: Integer;
+    procedure Add(const aContextItem: IContextItem);
+    procedure Remove(const contextItemName: WideString);
+    procedure RemoveAll;
+    function  Present(key: OleVariant): IContextItem;
+    function  Item(key: OleVariant): IContextItem;
+    property  DefaultInterface: IContextItemCollection read GetDefaultInterface;
+    property _NewEnum: IUnknown read Get__NewEnum;
+  published
+{$IFDEF LIVE_SERVER_AT_DESIGN_TIME}
+    property Server: TContextItemCollectionProperties read GetServerProperties;
+{$ENDIF}
+  end;
+
+{$IFDEF LIVE_SERVER_AT_DESIGN_TIME}
+// *********************************************************************//
+// OLE Server Properties Proxy Class
+// Server Object    : TContextItemCollection
+// (This object is used by the IDE's Property Inspector to allow editing
+//  of the properties of this server)
+// *********************************************************************//
+ TContextItemCollectionProperties = class(TPersistent)
+  private
+    FServer:    TContextItemCollection;
+    function    GetDefaultInterface: IContextItemCollection;
+    constructor Create(AServer: TContextItemCollection);
+  protected
+    function  Get__NewEnum: IUnknown;
+  public
+    property DefaultInterface: IContextItemCollection read GetDefaultInterface;
+  published
+  end;
+{$ENDIF}
+
+
 // *********************************************************************//
 // The Class CoContextItem provides a Create and CreateRemote method to          
@@ -499,4 +665,97 @@
   end;
 
+
+// *********************************************************************//
+// OLE Server Proxy class declaration
+// Server Object    : TContextItem
+// Help String      : Vergence ContextItem
+// Default Interface: IContextItem
+// Def. Intf. DISP? : No
+// Event   Interface: 
+// TypeFlags        : (2) CanCreate
+// *********************************************************************//
+{$IFDEF LIVE_SERVER_AT_DESIGN_TIME}
+  TContextItemProperties= class;
+{$ENDIF}
+  TContextItem = class(TOleServer)
+  private
+    FIntf:        IContextItem;
+{$IFDEF LIVE_SERVER_AT_DESIGN_TIME}
+    FProps:       TContextItemProperties;
+    function      GetServerProperties: TContextItemProperties;
+{$ENDIF}
+    function      GetDefaultInterface: IContextItem;
+  protected
+    procedure InitServerData; override;
+    function  Get_Subject: WideString;
+    procedure Set_Subject(const pVal: WideString);
+    function  Get_Role: WideString;
+    procedure Set_Role(const pVal: WideString);
+    function  Get_Prefix: WideString;
+    procedure Set_Prefix(const pVal: WideString);
+    function  Get_Suffix: WideString;
+    procedure Set_Suffix(const pVal: WideString);
+    function  Get_Name: WideString;
+    procedure Set_Name(const pVal: WideString);
+    function  Get_Value: WideString;
+    procedure Set_Value(const pVal: WideString);
+  public
+    constructor Create(AOwner: TComponent); override;
+    destructor  Destroy; override;
+    procedure Connect; override;
+    procedure ConnectTo(svrIntf: IContextItem);
+    procedure Disconnect; override;
+    function  Clone: IContextItem;
+    property  DefaultInterface: IContextItem read GetDefaultInterface;
+    property Subject: WideString read Get_Subject write Set_Subject;
+    property Role: WideString read Get_Role write Set_Role;
+    property Prefix: WideString read Get_Prefix write Set_Prefix;
+    property Suffix: WideString read Get_Suffix write Set_Suffix;
+    property Name: WideString read Get_Name write Set_Name;
+    property Value: WideString read Get_Value write Set_Value;
+  published
+{$IFDEF LIVE_SERVER_AT_DESIGN_TIME}
+    property Server: TContextItemProperties read GetServerProperties;
+{$ENDIF}
+  end;
+
+{$IFDEF LIVE_SERVER_AT_DESIGN_TIME}
+// *********************************************************************//
+// OLE Server Properties Proxy Class
+// Server Object    : TContextItem
+// (This object is used by the IDE's Property Inspector to allow editing
+//  of the properties of this server)
+// *********************************************************************//
+ TContextItemProperties = class(TPersistent)
+  private
+    FServer:    TContextItem;
+    function    GetDefaultInterface: IContextItem;
+    constructor Create(AServer: TContextItem);
+  protected
+    function  Get_Subject: WideString;
+    procedure Set_Subject(const pVal: WideString);
+    function  Get_Role: WideString;
+    procedure Set_Role(const pVal: WideString);
+    function  Get_Prefix: WideString;
+    procedure Set_Prefix(const pVal: WideString);
+    function  Get_Suffix: WideString;
+    procedure Set_Suffix(const pVal: WideString);
+    function  Get_Name: WideString;
+    procedure Set_Name(const pVal: WideString);
+    function  Get_Value: WideString;
+    procedure Set_Value(const pVal: WideString);
+  public
+    property DefaultInterface: IContextItem read GetDefaultInterface;
+  published
+    property Subject: WideString read Get_Subject write Set_Subject;
+    property Role: WideString read Get_Role write Set_Role;
+    property Prefix: WideString read Get_Prefix write Set_Prefix;
+    property Suffix: WideString read Get_Suffix write Set_Suffix;
+    property Name: WideString read Get_Name write Set_Name;
+    property Value: WideString read Get_Value write Set_Value;
+  end;
+{$ENDIF}
+
+
 // *********************************************************************//
 // The Class CoResponseDialog provides a Create and CreateRemote method to          
@@ -511,4 +770,61 @@
   end;
 
+
+// *********************************************************************//
+// OLE Server Proxy class declaration
+// Server Object    : TResponseDialog
+// Help String      : Vergence ResponseDialog
+// Default Interface: IResponseDialog
+// Def. Intf. DISP? : No
+// Event   Interface: 
+// TypeFlags        : (2) CanCreate
+// *********************************************************************//
+{$IFDEF LIVE_SERVER_AT_DESIGN_TIME}
+  TResponseDialogProperties= class;
+{$ENDIF}
+  TResponseDialog = class(TOleServer)
+  private
+    FIntf:        IResponseDialog;
+{$IFDEF LIVE_SERVER_AT_DESIGN_TIME}
+    FProps:       TResponseDialogProperties;
+    function      GetServerProperties: TResponseDialogProperties;
+{$ENDIF}
+    function      GetDefaultInterface: IResponseDialog;
+  protected
+    procedure InitServerData; override;
+  public
+    constructor Create(AOwner: TComponent); override;
+    destructor  Destroy; override;
+    procedure Connect; override;
+    procedure ConnectTo(svrIntf: IResponseDialog);
+    procedure Disconnect; override;
+    function  ProcessSurveyResults(responses: OleVariant; noContinue: WordBool): UserResponse;
+    property  DefaultInterface: IResponseDialog read GetDefaultInterface;
+  published
+{$IFDEF LIVE_SERVER_AT_DESIGN_TIME}
+    property Server: TResponseDialogProperties read GetServerProperties;
+{$ENDIF}
+  end;
+
+{$IFDEF LIVE_SERVER_AT_DESIGN_TIME}
+// *********************************************************************//
+// OLE Server Properties Proxy Class
+// Server Object    : TResponseDialog
+// (This object is used by the IDE's Property Inspector to allow editing
+//  of the properties of this server)
+// *********************************************************************//
+ TResponseDialogProperties = class(TPersistent)
+  private
+    FServer:    TResponseDialog;
+    function    GetDefaultInterface: IResponseDialog;
+    constructor Create(AServer: TResponseDialog);
+  protected
+  public
+    property DefaultInterface: IResponseDialog read GetDefaultInterface;
+  published
+  end;
+{$ENDIF}
+
+
 // *********************************************************************//
 // The Class CoContextorParticipant provides a Create and CreateRemote method to          
@@ -523,9 +839,67 @@
   end;
 
+
+// *********************************************************************//
+// OLE Server Proxy class declaration
+// Server Object    : TContextorParticipant
+// Help String      : ContextorParticipant Class
+// Default Interface: IContextParticipant
+// Def. Intf. DISP? : No
+// Event   Interface: 
+// TypeFlags        : (2) CanCreate
+// *********************************************************************//
+{$IFDEF LIVE_SERVER_AT_DESIGN_TIME}
+  TContextorParticipantProperties= class;
+{$ENDIF}
+  TContextorParticipant = class(TOleServer)
+  private
+    FIntf:        IContextParticipant;
+{$IFDEF LIVE_SERVER_AT_DESIGN_TIME}
+    FProps:       TContextorParticipantProperties;
+    function      GetServerProperties: TContextorParticipantProperties;
+{$ENDIF}
+    function      GetDefaultInterface: IContextParticipant;
+  protected
+    procedure InitServerData; override;
+  public
+    constructor Create(AOwner: TComponent); override;
+    destructor  Destroy; override;
+    procedure Connect; override;
+    procedure ConnectTo(svrIntf: IContextParticipant);
+    procedure Disconnect; override;
+    function  ContextChangesPending(contextCoupon: Integer; var reason: WideString): WideString;
+    procedure ContextChangesAccepted(contextCoupon: Integer);
+    procedure ContextChangesCanceled(contextCoupon: Integer);
+    procedure CommonContextTerminated;
+    procedure Ping;
+    property  DefaultInterface: IContextParticipant read GetDefaultInterface;
+  published
+{$IFDEF LIVE_SERVER_AT_DESIGN_TIME}
+    property Server: TContextorParticipantProperties read GetServerProperties;
+{$ENDIF}
+  end;
+
+{$IFDEF LIVE_SERVER_AT_DESIGN_TIME}
+// *********************************************************************//
+// OLE Server Properties Proxy Class
+// Server Object    : TContextorParticipant
+// (This object is used by the IDE's Property Inspector to allow editing
+//  of the properties of this server)
+// *********************************************************************//
+ TContextorParticipantProperties = class(TPersistent)
+  private
+    FServer:    TContextorParticipant;
+    function    GetDefaultInterface: IContextParticipant;
+    constructor Create(AServer: TContextorParticipant);
+  protected
+  public
+    property DefaultInterface: IContextParticipant read GetDefaultInterface;
+  published
+  end;
+{$ENDIF}
+
+{
 procedure Register;
-
-resourcestring
-  dtlServerPage = 'ActiveX';
-
+}
 implementation
 
@@ -541,4 +915,189 @@
   Result := CreateRemoteComObject(MachineName, CLASS_Contextor) as IContextor;
 end;
+
+procedure TContextor.InitServerData;
+const
+  CServerData: TServerData = (
+    ClassID:   '{D5C9CC98-5FDB-11D3-8727-0060B0B5E137}';
+    IntfIID:   '{8D879F5D-5FE6-11D3-8727-0060B0B5E137}';
+    EventIID:  '{6BED8971-B3DD-11D3-8736-0060B0B5E137}';
+    LicenseKey: nil;
+    Version: 500);
+begin
+  ServerData := @CServerData;
+end;
+
+procedure TContextor.Connect;
+var
+  punk: IUnknown;
+begin
+  if FIntf = nil then
+  begin
+    punk := GetServer;
+    ConnectEvents(punk);
+    Fintf:= punk as IContextor;
+  end;
+end;
+
+procedure TContextor.ConnectTo(svrIntf: IContextor);
+begin
+  Disconnect;
+  FIntf := svrIntf;
+  ConnectEvents(FIntf);
+end;
+
+procedure TContextor.DisConnect;
+begin
+  if Fintf <> nil then
+  begin
+    DisconnectEvents(FIntf);
+    FIntf := nil;
+  end;
+end;
+
+function TContextor.GetDefaultInterface: IContextor;
+begin
+  if FIntf = nil then
+    Connect;
+  Assert(FIntf <> nil, 'DefaultInterface is NULL. Component is not connected to Server. You must call ''Connect'' or ''ConnectTo'' before this operation');
+  Result := FIntf;
+end;
+
+constructor TContextor.Create(AOwner: TComponent);
+begin
+  inherited Create(AOwner);
+{$IFDEF LIVE_SERVER_AT_DESIGN_TIME}
+  FProps := TContextorProperties.Create(Self);
+{$ENDIF}
+end;
+
+destructor TContextor.Destroy;
+begin
+{$IFDEF LIVE_SERVER_AT_DESIGN_TIME}
+  FProps.Free;
+{$ENDIF}
+  inherited Destroy;
+end;
+
+{$IFDEF LIVE_SERVER_AT_DESIGN_TIME}
+function TContextor.GetServerProperties: TContextorProperties;
+begin
+  Result := FProps;
+end;
+{$ENDIF}
+
+procedure TContextor.InvokeEvent(DispID: TDispID; var Params: TVariantArray);
+begin
+  case DispID of
+    -1: Exit;  // DISPID_UNKNOWN
+   1: if Assigned(FOnPending) then
+            FOnPending(Self, Params[0] {const IDispatch});
+   2: if Assigned(FOnCommitted) then
+            FOnCommitted(Self);
+   3: if Assigned(FOnCanceled) then
+            FOnCanceled(Self);
+  end; {case DispID}
+end;
+
+function  TContextor.Get_State: ContextorState;
+begin
+  Result := DefaultInterface.Get_State;
+end;
+
+function  TContextor.Get_CurrentContext: IContextItemCollection;
+begin
+  Result := DefaultInterface.Get_CurrentContext;
+end;
+
+function  TContextor.Get_NotificationFilter: WideString;
+begin
+  Result := DefaultInterface.Get_NotificationFilter;
+end;
+
+procedure TContextor.Set_NotificationFilter(const filter: WideString);
+begin
+  DefaultInterface.Set_NotificationFilter(filter);
+end;
+
+function  TContextor.Get_Name: WideString;
+begin
+  Result := DefaultInterface.Get_Name;
+end;
+
+procedure TContextor.Run(const applicationLabel: WideString; const passcode: WideString; 
+                         survey: WordBool; const initialNotificationFilter: WideString);
+begin
+  DefaultInterface.Run(applicationLabel, passcode, survey, initialNotificationFilter);
+end;
+
+procedure TContextor.Suspend;
+begin
+  DefaultInterface.Suspend;
+end;
+
+procedure TContextor.Resume;
+begin
+  DefaultInterface.Resume;
+end;
+
+function  TContextor.GetPrivilege(const subj: WideString): AccessPrivilege;
+begin
+  Result := DefaultInterface.GetPrivilege(subj);
+end;
+
+procedure TContextor.StartContextChange;
+begin
+  DefaultInterface.StartContextChange;
+end;
+
+function  TContextor.EndContextChange(commit: WordBool; 
+                                      const aContextItemCollection: IContextItemCollection): UserResponse;
+begin
+  Result := DefaultInterface.EndContextChange(commit, aContextItemCollection);
+end;
+
+procedure TContextor.SetSurveyResponse(const reason: WideString);
+begin
+  DefaultInterface.SetSurveyResponse(reason);
+end;
+
+{$IFDEF LIVE_SERVER_AT_DESIGN_TIME}
+constructor TContextorProperties.Create(AServer: TContextor);
+begin
+  inherited Create;
+  FServer := AServer;
+end;
+
+function TContextorProperties.GetDefaultInterface: IContextor;
+begin
+  Result := FServer.DefaultInterface;
+end;
+
+function  TContextorProperties.Get_State: ContextorState;
+begin
+  Result := DefaultInterface.Get_State;
+end;
+
+function  TContextorProperties.Get_CurrentContext: IContextItemCollection;
+begin
+  Result := DefaultInterface.Get_CurrentContext;
+end;
+
+function  TContextorProperties.Get_NotificationFilter: WideString;
+begin
+  Result := DefaultInterface.Get_NotificationFilter;
+end;
+
+procedure TContextorProperties.Set_NotificationFilter(const filter: WideString);
+begin
+  DefaultInterface.Set_NotificationFilter(filter);
+end;
+
+function  TContextorProperties.Get_Name: WideString;
+begin
+  Result := DefaultInterface.Get_Name;
+end;
+
+{$ENDIF}
 
 procedure TContextorControl.InitControlData;
@@ -576,7 +1135,7 @@
 end;
 
-function TContextorControl.Get_CurrentContext: IContextItemCollection;
-begin
-    Result := DefaultInterface.CurrentContext;
+function  TContextorControl.Get_CurrentContext: IContextItemCollection;
+begin
+  Result := DefaultInterface.Get_CurrentContext;
 end;
 
@@ -597,5 +1156,5 @@
 end;
 
-function TContextorControl.GetPrivilege(const subj: WideString): AccessPrivilege;
+function  TContextorControl.GetPrivilege(const subj: WideString): AccessPrivilege;
 begin
   Result := DefaultInterface.GetPrivilege(subj);
@@ -607,6 +1166,6 @@
 end;
 
-function TContextorControl.EndContextChange(commit: WordBool; 
-                                            const aContextItemCollection: IContextItemCollection): UserResponse;
+function  TContextorControl.EndContextChange(commit: WordBool; 
+                                             const aContextItemCollection: IContextItemCollection): UserResponse;
 begin
   Result := DefaultInterface.EndContextChange(commit, aContextItemCollection);
@@ -628,4 +1187,126 @@
 end;
 
+procedure TContextItemCollection.InitServerData;
+const
+  CServerData: TServerData = (
+    ClassID:   '{AC4C0272-615A-11D3-84B5-0000861FDD4F}';
+    IntfIID:   '{AC4C0271-615A-11D3-84B5-0000861FDD4F}';
+    EventIID:  '';
+    LicenseKey: nil;
+    Version: 500);
+begin
+  ServerData := @CServerData;
+end;
+
+procedure TContextItemCollection.Connect;
+var
+  punk: IUnknown;
+begin
+  if FIntf = nil then
+  begin
+    punk := GetServer;
+    Fintf:= punk as IContextItemCollection;
+  end;
+end;
+
+procedure TContextItemCollection.ConnectTo(svrIntf: IContextItemCollection);
+begin
+  Disconnect;
+  FIntf := svrIntf;
+end;
+
+procedure TContextItemCollection.DisConnect;
+begin
+  if Fintf <> nil then
+  begin
+    FIntf := nil;
+  end;
+end;
+
+function TContextItemCollection.GetDefaultInterface: IContextItemCollection;
+begin
+  if FIntf = nil then
+    Connect;
+  Assert(FIntf <> nil, 'DefaultInterface is NULL. Component is not connected to Server. You must call ''Connect'' or ''ConnectTo'' before this operation');
+  Result := FIntf;
+end;
+
+constructor TContextItemCollection.Create(AOwner: TComponent);
+begin
+  inherited Create(AOwner);
+{$IFDEF LIVE_SERVER_AT_DESIGN_TIME}
+  FProps := TContextItemCollectionProperties.Create(Self);
+{$ENDIF}
+end;
+
+destructor TContextItemCollection.Destroy;
+begin
+{$IFDEF LIVE_SERVER_AT_DESIGN_TIME}
+  FProps.Free;
+{$ENDIF}
+  inherited Destroy;
+end;
+
+{$IFDEF LIVE_SERVER_AT_DESIGN_TIME}
+function TContextItemCollection.GetServerProperties: TContextItemCollectionProperties;
+begin
+  Result := FProps;
+end;
+{$ENDIF}
+
+function  TContextItemCollection.Get__NewEnum: IUnknown;
+begin
+  Result := DefaultInterface.Get__NewEnum;
+end;
+
+function  TContextItemCollection.Count: Integer;
+begin
+  Result := DefaultInterface.Count;
+end;
+
+procedure TContextItemCollection.Add(const aContextItem: IContextItem);
+begin
+  DefaultInterface.Add(aContextItem);
+end;
+
+procedure TContextItemCollection.Remove(const contextItemName: WideString);
+begin
+  DefaultInterface.Remove(contextItemName);
+end;
+
+procedure TContextItemCollection.RemoveAll;
+begin
+  DefaultInterface.RemoveAll;
+end;
+
+function  TContextItemCollection.Present(key: OleVariant): IContextItem;
+begin
+  Result := DefaultInterface.Present(key);
+end;
+
+function  TContextItemCollection.Item(key: OleVariant): IContextItem;
+begin
+  Result := DefaultInterface.Item(key);
+end;
+
+{$IFDEF LIVE_SERVER_AT_DESIGN_TIME}
+constructor TContextItemCollectionProperties.Create(AServer: TContextItemCollection);
+begin
+  inherited Create;
+  FServer := AServer;
+end;
+
+function TContextItemCollectionProperties.GetDefaultInterface: IContextItemCollection;
+begin
+  Result := FServer.DefaultInterface;
+end;
+
+function  TContextItemCollectionProperties.Get__NewEnum: IUnknown;
+begin
+  Result := DefaultInterface.Get__NewEnum;
+end;
+
+{$ENDIF}
+
 class function CoContextItem.Create: IContextItem;
 begin
@@ -638,4 +1319,211 @@
 end;
 
+procedure TContextItem.InitServerData;
+const
+  CServerData: TServerData = (
+    ClassID:   '{AC4C0274-615A-11D3-84B5-0000861FDD4F}';
+    IntfIID:   '{AC4C0273-615A-11D3-84B5-0000861FDD4F}';
+    EventIID:  '';
+    LicenseKey: nil;
+    Version: 500);
+begin
+  ServerData := @CServerData;
+end;
+
+procedure TContextItem.Connect;
+var
+  punk: IUnknown;
+begin
+  if FIntf = nil then
+  begin
+    punk := GetServer;
+    Fintf:= punk as IContextItem;
+  end;
+end;
+
+procedure TContextItem.ConnectTo(svrIntf: IContextItem);
+begin
+  Disconnect;
+  FIntf := svrIntf;
+end;
+
+procedure TContextItem.DisConnect;
+begin
+  if Fintf <> nil then
+  begin
+    FIntf := nil;
+  end;
+end;
+
+function TContextItem.GetDefaultInterface: IContextItem;
+begin
+  if FIntf = nil then
+    Connect;
+  Assert(FIntf <> nil, 'DefaultInterface is NULL. Component is not connected to Server. You must call ''Connect'' or ''ConnectTo'' before this operation');
+  Result := FIntf;
+end;
+
+constructor TContextItem.Create(AOwner: TComponent);
+begin
+  inherited Create(AOwner);
+{$IFDEF LIVE_SERVER_AT_DESIGN_TIME}
+  FProps := TContextItemProperties.Create(Self);
+{$ENDIF}
+end;
+
+destructor TContextItem.Destroy;
+begin
+{$IFDEF LIVE_SERVER_AT_DESIGN_TIME}
+  FProps.Free;
+{$ENDIF}
+  inherited Destroy;
+end;
+
+{$IFDEF LIVE_SERVER_AT_DESIGN_TIME}
+function TContextItem.GetServerProperties: TContextItemProperties;
+begin
+  Result := FProps;
+end;
+{$ENDIF}
+
+function  TContextItem.Get_Subject: WideString;
+begin
+  Result := DefaultInterface.Get_Subject;
+end;
+
+procedure TContextItem.Set_Subject(const pVal: WideString);
+begin
+  DefaultInterface.Set_Subject(pVal);
+end;
+
+function  TContextItem.Get_Role: WideString;
+begin
+  Result := DefaultInterface.Get_Role;
+end;
+
+procedure TContextItem.Set_Role(const pVal: WideString);
+begin
+  DefaultInterface.Set_Role(pVal);
+end;
+
+function  TContextItem.Get_Prefix: WideString;
+begin
+  Result := DefaultInterface.Get_Prefix;
+end;
+
+procedure TContextItem.Set_Prefix(const pVal: WideString);
+begin
+  DefaultInterface.Set_Prefix(pVal);
+end;
+
+function  TContextItem.Get_Suffix: WideString;
+begin
+  Result := DefaultInterface.Get_Suffix;
+end;
+
+procedure TContextItem.Set_Suffix(const pVal: WideString);
+begin
+  DefaultInterface.Set_Suffix(pVal);
+end;
+
+function  TContextItem.Get_Name: WideString;
+begin
+  Result := DefaultInterface.Get_Name;
+end;
+
+procedure TContextItem.Set_Name(const pVal: WideString);
+begin
+  DefaultInterface.Set_Name(pVal);
+end;
+
+function  TContextItem.Get_Value: WideString;
+begin
+  Result := DefaultInterface.Get_Value;
+end;
+
+procedure TContextItem.Set_Value(const pVal: WideString);
+begin
+  DefaultInterface.Set_Value(pVal);
+end;
+
+function  TContextItem.Clone: IContextItem;
+begin
+  Result := DefaultInterface.Clone;
+end;
+
+{$IFDEF LIVE_SERVER_AT_DESIGN_TIME}
+constructor TContextItemProperties.Create(AServer: TContextItem);
+begin
+  inherited Create;
+  FServer := AServer;
+end;
+
+function TContextItemProperties.GetDefaultInterface: IContextItem;
+begin
+  Result := FServer.DefaultInterface;
+end;
+
+function  TContextItemProperties.Get_Subject: WideString;
+begin
+  Result := DefaultInterface.Get_Subject;
+end;
+
+procedure TContextItemProperties.Set_Subject(const pVal: WideString);
+begin
+  DefaultInterface.Set_Subject(pVal);
+end;
+
+function  TContextItemProperties.Get_Role: WideString;
+begin
+  Result := DefaultInterface.Get_Role;
+end;
+
+procedure TContextItemProperties.Set_Role(const pVal: WideString);
+begin
+  DefaultInterface.Set_Role(pVal);
+end;
+
+function  TContextItemProperties.Get_Prefix: WideString;
+begin
+  Result := DefaultInterface.Get_Prefix;
+end;
+
+procedure TContextItemProperties.Set_Prefix(const pVal: WideString);
+begin
+  DefaultInterface.Set_Prefix(pVal);
+end;
+
+function  TContextItemProperties.Get_Suffix: WideString;
+begin
+  Result := DefaultInterface.Get_Suffix;
+end;
+
+procedure TContextItemProperties.Set_Suffix(const pVal: WideString);
+begin
+  DefaultInterface.Set_Suffix(pVal);
+end;
+
+function  TContextItemProperties.Get_Name: WideString;
+begin
+  Result := DefaultInterface.Get_Name;
+end;
+
+procedure TContextItemProperties.Set_Name(const pVal: WideString);
+begin
+  DefaultInterface.Set_Name(pVal);
+end;
+
+function  TContextItemProperties.Get_Value: WideString;
+begin
+  Result := DefaultInterface.Get_Value;
+end;
+
+procedure TContextItemProperties.Set_Value(const pVal: WideString);
+begin
+  DefaultInterface.Set_Value(pVal);
+end;
+
+{$ENDIF}
+
 class function CoResponseDialog.Create: IResponseDialog;
 begin
@@ -648,4 +1536,91 @@
 end;
 
+procedure TResponseDialog.InitServerData;
+const
+  CServerData: TServerData = (
+    ClassID:   '{9D33ECF2-8277-11D3-8525-0000861FDD4F}';
+    IntfIID:   '{9D33ECF1-8277-11D3-8525-0000861FDD4F}';
+    EventIID:  '';
+    LicenseKey: nil;
+    Version: 500);
+begin
+  ServerData := @CServerData;
+end;
+
+procedure TResponseDialog.Connect;
+var
+  punk: IUnknown;
+begin
+  if FIntf = nil then
+  begin
+    punk := GetServer;
+    Fintf:= punk as IResponseDialog;
+  end;
+end;
+
+procedure TResponseDialog.ConnectTo(svrIntf: IResponseDialog);
+begin
+  Disconnect;
+  FIntf := svrIntf;
+end;
+
+procedure TResponseDialog.DisConnect;
+begin
+  if Fintf <> nil then
+  begin
+    FIntf := nil;
+  end;
+end;
+
+function TResponseDialog.GetDefaultInterface: IResponseDialog;
+begin
+  if FIntf = nil then
+    Connect;
+  Assert(FIntf <> nil, 'DefaultInterface is NULL. Component is not connected to Server. You must call ''Connect'' or ''ConnectTo'' before this operation');
+  Result := FIntf;
+end;
+
+constructor TResponseDialog.Create(AOwner: TComponent);
+begin
+  inherited Create(AOwner);
+{$IFDEF LIVE_SERVER_AT_DESIGN_TIME}
+  FProps := TResponseDialogProperties.Create(Self);
+{$ENDIF}
+end;
+
+destructor TResponseDialog.Destroy;
+begin
+{$IFDEF LIVE_SERVER_AT_DESIGN_TIME}
+  FProps.Free;
+{$ENDIF}
+  inherited Destroy;
+end;
+
+{$IFDEF LIVE_SERVER_AT_DESIGN_TIME}
+function TResponseDialog.GetServerProperties: TResponseDialogProperties;
+begin
+  Result := FProps;
+end;
+{$ENDIF}
+
+function  TResponseDialog.ProcessSurveyResults(responses: OleVariant; noContinue: WordBool): UserResponse;
+begin
+  Result := DefaultInterface.ProcessSurveyResults(responses, noContinue);
+end;
+
+{$IFDEF LIVE_SERVER_AT_DESIGN_TIME}
+constructor TResponseDialogProperties.Create(AServer: TResponseDialog);
+begin
+  inherited Create;
+  FServer := AServer;
+end;
+
+function TResponseDialogProperties.GetDefaultInterface: IResponseDialog;
+begin
+  Result := FServer.DefaultInterface;
+end;
+
+{$ENDIF}
+
 class function CoContextorParticipant.Create: IContextParticipant;
 begin
@@ -658,8 +1633,117 @@
 end;
 
+procedure TContextorParticipant.InitServerData;
+const
+  CServerData: TServerData = (
+    ClassID:   '{4BA034A2-D0FA-11D3-818B-0050049598B2}';
+    IntfIID:   '{3E3DD272-998E-11D0-808D-00A0240943E4}';
+    EventIID:  '';
+    LicenseKey: nil;
+    Version: 500);
+begin
+  ServerData := @CServerData;
+end;
+
+procedure TContextorParticipant.Connect;
+var
+  punk: IUnknown;
+begin
+  if FIntf = nil then
+  begin
+    punk := GetServer;
+    Fintf:= punk as IContextParticipant;
+  end;
+end;
+
+procedure TContextorParticipant.ConnectTo(svrIntf: IContextParticipant);
+begin
+  Disconnect;
+  FIntf := svrIntf;
+end;
+
+procedure TContextorParticipant.DisConnect;
+begin
+  if Fintf <> nil then
+  begin
+    FIntf := nil;
+  end;
+end;
+
+function TContextorParticipant.GetDefaultInterface: IContextParticipant;
+begin
+  if FIntf = nil then
+    Connect;
+  Assert(FIntf <> nil, 'DefaultInterface is NULL. Component is not connected to Server. You must call ''Connect'' or ''ConnectTo'' before this operation');
+  Result := FIntf;
+end;
+
+constructor TContextorParticipant.Create(AOwner: TComponent);
+begin
+  inherited Create(AOwner);
+{$IFDEF LIVE_SERVER_AT_DESIGN_TIME}
+  FProps := TContextorParticipantProperties.Create(Self);
+{$ENDIF}
+end;
+
+destructor TContextorParticipant.Destroy;
+begin
+{$IFDEF LIVE_SERVER_AT_DESIGN_TIME}
+  FProps.Free;
+{$ENDIF}
+  inherited Destroy;
+end;
+
+{$IFDEF LIVE_SERVER_AT_DESIGN_TIME}
+function TContextorParticipant.GetServerProperties: TContextorParticipantProperties;
+begin
+  Result := FProps;
+end;
+{$ENDIF}
+
+function  TContextorParticipant.ContextChangesPending(contextCoupon: Integer; var reason: WideString): WideString;
+begin
+  Result := DefaultInterface.ContextChangesPending(contextCoupon, reason);
+end;
+
+procedure TContextorParticipant.ContextChangesAccepted(contextCoupon: Integer);
+begin
+  DefaultInterface.ContextChangesAccepted(contextCoupon);
+end;
+
+procedure TContextorParticipant.ContextChangesCanceled(contextCoupon: Integer);
+begin
+  DefaultInterface.ContextChangesCanceled(contextCoupon);
+end;
+
+procedure TContextorParticipant.CommonContextTerminated;
+begin
+  DefaultInterface.CommonContextTerminated;
+end;
+
+procedure TContextorParticipant.Ping;
+begin
+  DefaultInterface.Ping;
+end;
+
+{$IFDEF LIVE_SERVER_AT_DESIGN_TIME}
+constructor TContextorParticipantProperties.Create(AServer: TContextorParticipant);
+begin
+  inherited Create;
+  FServer := AServer;
+end;
+
+function TContextorParticipantProperties.GetDefaultInterface: IContextParticipant;
+begin
+  Result := FServer.DefaultInterface;
+end;
+
+{$ENDIF}
+{
 procedure Register;
 begin
-  RegisterComponents('ActiveX',[TContextorControl]);
-end;
-
+  RegisterComponents('Kernel',[TContextorControl]);
+  RegisterComponents('Kernel',[TContextor, TContextItemCollection, TContextItem, TResponseDialog,
+    TContextorParticipant]);
+end;
+}
 end.
